import request from '@/config/request';

export const APIWx = {
  createJSSDK,
  checkIsNewCustomer, //获取微信用户是否首次关注,即是否是新用户
  ocr //ocr识别
};
export default APIWx;
function createJSSDK({ userId, sUrl, appId }) {
  return request({
    url: '/api/WX/CreateJsSdk',
    method: 'get',
    params: { userId, sUrl, appId }
  });
}
function checkIsNewCustomer(params) {
  return request({
    url: '/api/User/getOpenId',
    method: 'post',
    headers: { AuthKey: 'key1' },
    data: params
  });
}

function ocr(params) {
  return request({
    url: '/api/WX/ocr',
    method: 'post',
    headers: { AuthKey: 'key1' },
    data: params
  });
}
